## python-fastparquet 2024.2.0

=== Makefile ===
fastparquet/parquet_thrift: fastparquet/parquet.thrift
	thrift -gen py:package_prefix=fastparquet -out $@ $<

=== requirements.txt ===
pandas>=1.5.0
numpy>=1.20.3
cramjam>=2.3
fsspec
packaging

=== docs/requirements.txt ===
pandas
numpy
thrift
cython
cramjam
fastparquet
numpydoc
sphinx<7
docutils<0.19
sphinx_rtd_theme

=== debian/changelog ===
python-fastparquet (2024.2.0-2) unstable; urgency=medium

  * Bug fix: "Please replace python3-appdirs build-dependency with
    platformdirs", thanks to Simon McVittie (Closes: #1067993).

 -- Roland Mas <lolando@debian.org>  Tue, 14 May 2024 12:26:26 +0200

python-fastparquet (2024.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "FTBFS: Python.h: No such file or directory", thanks to
    Sebastian Ramacher (Closes: #1063598). 
  * Use --with=numpy3 to fix missing dependency.

 -- Roland Mas <lolando@debian.org>  Wed, 28 Feb 2024 19:14:19 +0100

python-fastparquet (2023.10.1-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Nov 2023 12:09:24 +0100

python-fastparquet (2023.10.1-1) unstable; urgency=low

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Wed, 15 Nov 2023 16:51:25 +0100

=== debian/control ===
Source: python-fastparquet
Section: python
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
	       pybuild-plugin-pyproject,
	       python3-hatchling,
	       python3-hatch-vcs,
	       python3-psygnal,
	       python3-pydantic,
	       python3-yaml,
	       python3-psygnal,
	       python3-setuptools,
	       git,
	       python3-numpy,
	       cython3,
	       python3-dev,
	       libpython3-all-dev,
	       python3-pandas,
	       python3-fsspec,
	       python3-cramjam,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/science-team/python-fastparquet.git
Vcs-Browser: https://salsa.debian.org/science-team/python-fastparquet
Rules-Requires-Root: no

Package: python3-fastparquet
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: python implementation of the parquet format
 This is a python implementation of the parquet format, aiming
 integrate into python-based big data work-flows. It is used
 implicitly by the projects Dask, Pandas and intake-parquet.
 .
 This module offers a high degree of support for the features of the
 parquet format, and very competitive performance, in a small install
 size and codebase.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=fastparquet
%:
	dh $@ --with python3,numpy3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/dask/fastparquet/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
